Loading...
Searching...
No Matches
Magick::compressTypeImage Class Reference

## Public Member Functions

| compressTypeImage (const CompressionType compressType_)
void | operator() (Image &image_) const

## Private Attributes

CompressionType | _compressType

## Detailed Description

Definition at line 1416 of file STL.h.

## Constructor & Destructor Documentation

## compressTypeImage()

Magick::compressTypeImage::compressTypeImage | ( | const CompressionType | compressType_ | ) |

Definition at line 1309 of file STL.cpp.

: _compressType( compressType_ )
{
}

## Member Function Documentation

## operator()()

void Magick::compressTypeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1313 of file STL.cpp.

{
image_.compressType( _compressType );
}

## Field Documentation

## _compressType

CompressionType Magick::compressTypeImage::_compressType

private

Definition at line 1424 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp